summaryrefslogtreecommitdiffstats
path: root/source/l/accountsservice
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/accountsservice')
-rw-r--r--source/l/accountsservice/7e9058c1edda71cd9aa457717ed8fed50cd49666.patch32
-rwxr-xr-xsource/l/accountsservice/accountsservice.SlackBuild16
2 files changed, 42 insertions, 6 deletions
diff --git a/source/l/accountsservice/7e9058c1edda71cd9aa457717ed8fed50cd49666.patch b/source/l/accountsservice/7e9058c1edda71cd9aa457717ed8fed50cd49666.patch
new file mode 100644
index 000000000..3cbbd4e01
--- /dev/null
+++ b/source/l/accountsservice/7e9058c1edda71cd9aa457717ed8fed50cd49666.patch
@@ -0,0 +1,32 @@
+From 7e9058c1edda71cd9aa457717ed8fed50cd49666 Mon Sep 17 00:00:00 2001
+From: nater1983 <naterussell83@gmail.com>
+Date: Sun, 25 Feb 2024 20:42:49 +0000
+Subject: [PATCH] Add option to disable Unit Tests
+
+- /meson.build
+- /meson_options.txt
+---
+meson.build | 4 +++-
+meson_options.txt | 1 +
+2 files changed, 4 insertions(+), 1 deletion(-)
+
+--- ./meson.build.orig 2023-03-27 14:27:39.000000000 -0500
++++ ./meson.build 2024-02-27 12:42:47.098937158 -0600
+@@ -232,7 +232,9 @@
+ subdir('doc/libaccountsservice')
+ endif
+
+-subdir('tests')
++if get_option('tests')
++ subdir('tests')
++endif
+
+ configure_file(
+ output: 'config.h',
+--- ./meson_options.txt.orig 2023-03-27 14:27:39.000000000 -0500
++++ ./meson_options.txt 2024-02-27 12:43:12.139935773 -0600
+@@ -13,3 +13,4 @@
+
+ option('docbook', type: 'boolean', value: false, description: 'build documentation (requires xmlto)')
+ option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
++option('tests', type: 'boolean', value: true, description : 'Build unit tests')
diff --git a/source/l/accountsservice/accountsservice.SlackBuild b/source/l/accountsservice/accountsservice.SlackBuild
index ec522049b..46b7a2a95 100755
--- a/source/l/accountsservice/accountsservice.SlackBuild
+++ b/source/l/accountsservice/accountsservice.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2017, 2020 Eric Hameleers, Eindhoven, NL
-# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2020, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -86,6 +86,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Build without unit tests:
+cat $CWD/7e9058c1edda71cd9aa457717ed8fed50cd49666.patch | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
@@ -103,11 +106,12 @@ meson setup \
--sysconfdir=/etc \
--localstatedir=/var \
--buildtype=release \
- -D admin_group=wheel \
- -D docbook=false \
- -D gtk_doc=true \
- -D elogind=true \
- -D systemdsystemunitdir=no \
+ -Dadmin_group=wheel \
+ -Ddocbook=false \
+ -Dtests=false \
+ -Dgtk_doc=true \
+ -Delogind=true \
+ -Dsystemdsystemunitdir=no \
.. || exit 1
"${NINJA:=ninja}" $NUMJOBS || exit 1
DESTDIR=$PKG $NINJA install || exit 1